<?php
/*################################################
@author: Code Tecnologia
@date: 23/04/2020
@version: 1.00
@purpose: Classe responsavel por aceitar Termo

Resposta esperada:
{
 "erro": false,
 "mensagem":"Você concordou com os termos de uso. Já pode usar o aplicativo."
}
*/
  
################################################*/

include_once("connect.php");

//Funcao para exibir o json
function exibir_json($json){
    $echo_json = json_encode($json);
    $json = array_map('utf8_encode', $json);
	echo $echo_json;
}

//Verificando se a mensagem foi transmitida por POST
if(strcasecmp($_SERVER['REQUEST_METHOD'], 'POST') != 0){  
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O formato recebido nao e um POST');
    //$json = json_encode($status);
	exibir_json($status);
    exit(0);
}

//Verificando se o Content-type e 'application/json'
/*
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
if(strcasecmp($contentType, 'application/json') != 0){
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O tipo da mensagem esta incorreto.');
    $json = json_encode($status);
	exibir_json($json);
    exit(0);
}
*/



//recebendo a requisicao
$content = file_get_contents("php://input");
$content = utf8_encode($content); //evita erros


  //obtendo informacoes do Header da mensagem
    $token = isset($_SERVER["HTTP_TOKEN"]) ? trim($_SERVER["HTTP_TOKEN"]) : '';
    $token_decoded = base64_decode($token);
	
	//Caso o mobile passe a variavel sem valor para atualizacao.
	if (empty($token)){
		$status = array(
					'erro' => 'true',
					'mensagem' => 'Token nao informado');
		  //$json = json_encode($status);
		  //enviarCurl($url,$json);
		  exibir_json($status);
		  exit(0);
	}else{
			$aceitar_termo = "update oc_customer set st_termo = 1 
								   where customer_id = $token_decoded";
		
		/*
		echo $manter_parceiro;
		exit(0);
		*/
		
		}
		mysqli_query($conexao, $aceitar_termo) or die ($conexao);
		
                
                $status = array( 'erro' => 'false'
    				    ,'mensagem' => 'Você concordou com os termos de uso. Já pode usar o aplicativo.'
    				    );
                //$json = json_encode($status);
            	exibir_json($status);
                exit(0);
            
        
	


?>